public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gnome-extra/gnome-calculator/
Date: Fri, 16 Apr 2021 22:19:13 +0000 (UTC)	[thread overview]
Message-ID: <1618611455.9e5b210d26891b81150705e0d6bcd4d2eaf70ff1.mattst88@gentoo> (raw)

commit:     9e5b210d26891b81150705e0d6bcd4d2eaf70ff1
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 16 22:15:20 2021 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Fri Apr 16 22:17:35 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9e5b210d

gnome-extra/gnome-calculator: Version bump to 40.0

Closes: https://bugs.gentoo.org/782775
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 gnome-extra/gnome-calculator/Manifest              |  1 +
 .../gnome-calculator/gnome-calculator-40.0.ebuild  | 73 ++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/gnome-extra/gnome-calculator/Manifest b/gnome-extra/gnome-calculator/Manifest
index 59b576b3d7e..158bbbd6428 100644
--- a/gnome-extra/gnome-calculator/Manifest
+++ b/gnome-extra/gnome-calculator/Manifest
@@ -1 +1,2 @@
 DIST gnome-calculator-3.38.2.tar.xz 1004684 BLAKE2B c2b6a0ff2e6a91c43a1670945af989b715f0f7369050dac13bec02898ef6780ec4484c6ee9f6e6bb19b8ecc9d7d8c2df0c824ac9c3309783cbc89b96fe1f16b9 SHA512 41e58b34640e795108a552aa0d95b03f0c84c4d5af6eef7fe8350c5f4e031a0fad7cad73034b38b2121f09687815b6b10a6a86fb00c7cbf720ccb06a8eea0403
+DIST gnome-calculator-40.0.tar.xz 1022596 BLAKE2B 9522c8698492eeb07fbd86e8baeaee67433a1d43b2c97c4c895ca7ac8958a01c4e05c73598b1c14a2b333bfbc156b824669b20e878fcb681ade99c1ceef5ce72 SHA512 f22e9a9ade2f236142b7ebc3e54ed07834b049087ed8606571730e3bef2ab86317718df622368515266ba9578f660d7cd892cf87cf43bca9441369c838967c5d

diff --git a/gnome-extra/gnome-calculator/gnome-calculator-40.0.ebuild b/gnome-extra/gnome-calculator/gnome-calculator-40.0.ebuild
new file mode 100644
index 00000000000..17bd94f4fdf
--- /dev/null
+++ b/gnome-extra/gnome-calculator/gnome-calculator-40.0.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{7..9} )
+VALA_MIN_API_VERSION="0.40"
+
+inherit gnome.org gnome2-utils meson python-any-r1 vala virtualx xdg
+
+DESCRIPTION="A calculator application for GNOME"
+HOMEPAGE="https://wiki.gnome.org/Apps/Calculator"
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="+introspection test"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+# gtksourceview vapi definitions in dev-lang/vala itself are too old, and newer vala removes them
+# altogether, thus we need them installed by gtksourceview[vala]
+RDEPEND="
+	>=dev-libs/glib-2.40.0:2
+	dev-libs/libxml2:2
+	>=net-libs/libsoup-2.42:2.4
+	>=dev-libs/libgee-0.20.0:0.8
+	dev-libs/mpc:=
+	dev-libs/mpfr:0=
+	>=x11-libs/gtk+-3.24.1:3
+	>=gui-libs/libhandy-1.0.0:1=
+	>=x11-libs/gtksourceview-4.0.2:4
+	introspection? ( >=dev-libs/gobject-introspection-1.58:= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	${PYTHON_DEPS}
+	dev-libs/appstream-glib
+	dev-util/itstool
+	>=sys-devel/gettext-0.19.8
+	virtual/pkgconfig
+	$(vala_depend)
+	net-libs/libsoup:2.4[vala]
+	x11-libs/gtksourceview:4[vala]
+"
+
+src_prepare() {
+	xdg_src_prepare
+	vala_src_prepare
+	# Automagic dep on valadoc - don't bother for now
+	sed -e '/subdir.*doc/d' -i meson.build || die
+}
+
+src_configure() {
+	local emesonargs=(
+		-Ddisable-ui=false
+		#-Dvala-version # doesn't do anything in 3.34
+		$(meson_use !introspection disable-introspection)
+		$(meson_use test ui-tests)
+	)
+	meson_src_configure
+}
+
+src_test() {
+	virtx meson_src_test
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}


             reply	other threads:[~2021-04-16 22:19 UTC|newest]

Thread overview: 78+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-04-16 22:19 Matt Turner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-15 17:34 [gentoo-commits] repo/gentoo:master commit in: gnome-extra/gnome-calculator/ Pacho Ramos
2025-01-15 17:34 Pacho Ramos
2024-07-23  8:37 Pacho Ramos
2024-07-23  8:36 Pacho Ramos
2024-07-16  8:41 Pacho Ramos
2024-07-16  8:41 Pacho Ramos
2024-03-02 22:33 Mart Raudsepp
2024-02-18  6:09 Arthur Zamarin
2024-01-08  7:03 Sam James
2023-11-17  7:47 Sam James
2023-09-24  9:02 WANG Xuerui
2023-09-22  3:13 Matt Turner
2023-09-22  3:13 Matt Turner
2023-09-22  2:33 Matt Turner
2023-09-16 20:54 Matt Turner
2023-09-04 16:13 Matt Turner
2023-08-18 14:50 Matt Turner
2023-08-04 14:36 Matt Turner
2023-06-09  3:01 Matt Turner
2023-05-02 20:06 Arthur Zamarin
2023-05-02 20:05 Arthur Zamarin
2023-05-02 17:29 Arthur Zamarin
2023-03-18  0:11 Matt Turner
2023-03-05 20:42 Matt Turner
2023-01-01 14:48 David Seifert
2022-10-30 22:29 Matt Turner
2022-07-29  2:59 Sam James
2022-07-18 23:41 Sam James
2022-07-06  1:24 Sam James
2022-07-03 18:46 Matt Turner
2022-07-02 20:47 Sam James
2022-05-31  0:24 Matt Turner
2022-05-29  0:39 Sam James
2022-05-27 20:54 Pacho Ramos
2022-05-15  3:10 Sam James
2022-05-13 20:51 Jakov Smolić
2022-05-10  4:06 Arthur Zamarin
2022-05-07 18:28 Arthur Zamarin
2022-05-07 18:25 Arthur Zamarin
2022-05-07 18:25 Arthur Zamarin
2022-04-21 19:35 Jakov Smolić
2022-03-22  6:15 Matt Turner
2021-12-11 18:50 Mart Raudsepp
2021-12-11 17:36 Mart Raudsepp
2021-11-23  1:25 Yixun Lan
2021-04-30 21:58 Matt Turner
2021-01-08  4:15 Matt Turner
2020-08-23 16:03 Mart Raudsepp
2020-08-23 16:03 Mart Raudsepp
2020-03-14 22:33 Mart Raudsepp
2019-12-23 22:02 Mart Raudsepp
2019-10-20 17:50 Mart Raudsepp
2019-08-04 19:26 Aaron Bauman
2019-07-28  6:42 Mart Raudsepp
2019-07-05  1:56 Sobhan Mohammadpour
2019-05-18 21:24 Mart Raudsepp
2019-03-30 22:21 Mart Raudsepp
2018-09-24 20:13 Mart Raudsepp
2018-09-09 14:28 Mart Raudsepp
2018-06-30 23:28 David Seifert
2018-02-03 22:00 Mart Raudsepp
2018-01-18  3:39 Mikle Kolyada
2017-05-21 19:37 Mart Raudsepp
2017-03-17 16:48 Mart Raudsepp
2017-03-08 12:11 Mart Raudsepp
2017-03-08 12:11 Mart Raudsepp
2016-11-09  8:28 Gilles Dartiguelongue
2016-10-20 22:31 Gilles Dartiguelongue
2016-10-20 22:31 Gilles Dartiguelongue
2016-08-06  7:41 Pacho Ramos
2016-06-25 16:53 Pacho Ramos
2016-06-25 16:53 Pacho Ramos
2016-03-06 18:03 Mikle Kolyada
2016-01-27 21:26 Gilles Dartiguelongue
2016-01-02 10:52 Gilles Dartiguelongue
2015-11-09 21:51 Pacho Ramos
2015-11-09 21:51 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1618611455.9e5b210d26891b81150705e0d6bcd4d2eaf70ff1.mattst88@gentoo \
    --to=mattst88@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox